### Method

# Gtk Notebook set_current_page

#### Declaration [src]

    void
    gtk_notebook_set_current_page (
      GtkNotebook* notebook,
      int page_num
    )

#### Description [src]

Switches to the page number `page_num`.

Note that due to historical reasons, GtkNotebook refuses to switch to a page unless the child widget is visible. Therefore, it is recommended to show child widgets before adding them to a notebook.

Sets property | `Gtk.Notebook:page`

#### Parameters

`page_num` | `int`
| Index of the page to switch to, starting from 0. If negative, the last page will be used. If greater than the number of pages in the notebook, nothing will be done.